org.gnome.gdk

## Class EventScroll

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event
      - - org.gnome.gdk.EventScroll

-     public final class EventScroll
      extends Event

  Event describing a mouse scroll operation. In most cases, it means that the mouse wheel has been turned.

  In fact, this event is related with mouse buttons 4 to 7. In most cases, buttons 4 and 5 are mapped to the mouse wheel.

  Since:
    4.0.12
  Author:
    Vreixo Formoso

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScrollDirection` | `getDirection()` Get the direction of the scroll.
    `ModifierType` | `getState()` Get the state of the modifier keys.

    - ### Methods inherited from class org.gnome.gdk.Event

      `getType, getWindow`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDirection

          public ScrollDirection getDirection()

      Get the direction of the scroll.

    - #### getState

          public ModifierType getState()

      Get the state of the modifier keys. This will be `NONE` if no modifiers are being held down. See EventKey's `getState()` and `ModifierType` for usage details.